Help!.. after upgrading my project no longer works, I had two different projects open in android studio when I ran flutter upgrade --force on one project, this might have corrupted the other project (this one). I've tried flutter clean, deleting cache

I am not even using OTP in this project, but i cant figure out where this coming from. Here’s my pubspec.yaml

name: appname
description: A cool app.

publish_to: ‘none’ # Remove this line if you wish to publish to pub.dev
version: 1.0.0+2

environment:
sdk: “>=2.7.0 <3.0.0”

dependencies:
flutter:
sdk: flutter

firebase_core: “^0.7.0”
firebase_auth: “^0.20.1”
provider: ^4.3.2+1

http: 0.12.2
cupertino_icons: ^1.0.0

flutter_paystack: 1.0.4+1
paystack_manager: 1.0.4

dev_dependencies:
flutter_test:
sdk: flutter
flutter_launcher_icons: “^0.8.0”
flutter_native_splash: ^0.2.8

flutter_native_splash:
color: “#ffffff
image: “images/logo2a.png”
android: true
ios: true

flutter_icons:
android: true
ios: true
image_path: “images/logo1a.png”

flutter:

uses-material-design: true
assets:
- images/

I’ve found a working fix to my problem:

fixed this by setting:
buildscript {
ext.kotlin_version = ‘1.6.10’ // Change here
in projectName/android/build.gradle


and then enabling multidex support in build.gradle:

android {
defaultConfig {

minSdkVersion 15
targetSdkVersion 28
multiDexEnabled true
}

}

dependencies {
implementation "androidx.multidex:multidex:2.0.1"
}